/*
	===============================
			@Import	Function
	===============================
*/
/*
	===============================
			@Import	Mixins
	===============================
*/
html {
  min-height: 100%;
}

body {
  color: #888ea8;
  height: 100%;
  font-size: 0.875rem;
  background: #060818;
  overflow-x: hidden;
  overflow-y: overlay;
  letter-spacing: 0.0312rem;
  font-family: "Inter", sans-serif;
  scrollbar-gutter: stable;
}

::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background: rgba(0, 0, 0, 0);
  border-radius: 100px;
}

::-webkit-scrollbar-thumb {
  background: #4361ee;
  border-radius: 100px;
  border: 2px solid rgba(0, 0, 0, 0);
  background-clip: padding-box;
}

::-webkit-scrollbar-thumb:hover {
  background: #212e6e;
  border: 2px solid rgba(0, 0, 0, 0);
  background-clip: padding-box;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: #fff;
}

:focus {
  outline: none;
}
/*
::-moz-selection {
   Code for Firefox
  color: #4361ee;
  background: transparent; }
*/
/*::selection {
  color: #4361ee;
  background: transparent; }*/

p {
  margin-top: 0;
  margin-bottom: 0.625rem;
  color: #fff;
}

hr {
  margin-top: 20px;
  margin-bottom: 20px;
  border-top: 1px solid #191e3a;
}

strong {
  font-weight: 600;
}

code {
  color: #e7515a;
}

select.form-custom::-ms-expand {
  display: none;
}

.custom-file-input:focus ~ .custom-file-label {
  border: 1px solid #3b3f5c;
  box-shadow: none;
}
.custom-file-input:focus ~ .custom-file-label::after {
  border: none;
  border-left: 1px solid #3b3f5c;
}

.lead a.btn.btn-primary.btn-lg {
  margin-top: 15px;
  border-radius: 4px;
}

.jumbotron {
  background-color: #1b2e4b;
}

.mark,
mark {
  background-color: #fff9ed;
}

.modal-content {
  background: #0e1726;
}

.code-section-container {
  margin-top: 20px;
  text-align: left;
}

.toggle-code-snippet {
  border: none;
  background-color: transparent !important;
  padding: 0px !important;
  box-shadow: none !important;
  color: #888ea8 !important;
  margin-bottom: -24px;
  border-bottom: 1px dashed #bfc9d4;
  border-radius: 0;
}
.toggle-code-snippet svg {
  color: #4361ee;
}

.code-section {
  padding: 0;
  height: 0;
}

.code-section-container.show-code .code-section {
  margin-top: 20px;
  height: auto;
}

.code-section pre {
  margin-bottom: 0;
  height: 0;
  padding: 0;
  border-radius: 6px;
}

.code-section-container.show-code .code-section pre {
  height: auto;
  padding: 22px;
}

.code-section code {
  color: #fff;
}

/*blockquote*/
blockquote.blockquote {
  color: #009688;
  padding: 20px 20px 20px 14px;
  font-size: 0.875rem;
  background-color: #060818;
  border-bottom-right-radius: 8px;
  border-top-right-radius: 8px;
  border: 1px solid #060818;
  border-left: 2px solid #009688;
}
blockquote.blockquote > p {
  margin-bottom: 0;
}

blockquote .small:before,
blockquote footer:before,
blockquote small:before {
  content: "\2014 \00A0";
}

blockquote .small,
blockquote footer,
blockquote small {
  display: block;
  font-size: 80%;
  line-height: 1.42857143;
  color: #888ea8;
}

blockquote.media-object.m-o-border-right {
  border-right: 4px solid #009688;
  border-left: none;
}

blockquote.media-object .media .usr-img img {
  width: 55px;
}

/* Icon List */
.list-icon {
  list-style: none;
  padding: 0;
  margin-bottom: 0;
}
.list-icon li:not(:last-child) {
  margin-bottom: 15px;
}
.list-icon svg {
  width: 18px;
  height: 18px;
  color: #4361ee;
  margin-right: 2px;
  vertical-align: sub;
}
.list-icon .list-text {
  font-size: 14px;
  font-weight: 600;
  color: #515365;
  letter-spacing: 1px;
}

a {
  color: #e0e6ed;
  outline: none;
}
a:hover {
  color: #bfc9d4;
  text-decoration: none;
}
a:focus {
  outline: none;
  text-decoration: none;
}

button:focus {
  outline: none;
}

textarea {
  outline: none;
}
textarea:focus {
  outline: none;
}

.btn-link:hover {
  text-decoration: none;
}

span.blue {
  color: #4361ee;
}

span.green {
  color: #00a03e;
}

span.red {
  color: #e7515a;
}

/*      CARD    */
.card {
  border: 1px solid #0e1726;
  border-radius: 6px;
  background: #0e1726;
}

/*      Form Group Label       */
.form-group label,
label {
  font-size: 15px;
  color: #e3e4eb;
  letter-spacing: 1px;
}

/*  Disable forms     */
.custom-control-input:disabled ~ .custom-control-label {
  color: #d3d3d3;
  cursor: no-drop;
}

.form-control:disabled,
.form-control[readonly] {
  background-color: #1b2e4b;
  cursor: no-drop;
  color: #6c757d !important;
}

.custom-control-input:disabled ~ .custom-control-label::before,
.custom-control-input[disabled] ~ .custom-control-label::before {
  background-color: #1b2e4b;
  cursor: no-drop;
}

/*      Form Control       */
.form-control {
  height: auto;
  border: 1px solid #1b2e4b;
  color: #fff !important;
  font-size: 15px;
  padding: 8px 10px;
  letter-spacing: 1px;
  height: calc(1.4em + 1.4rem + 2px);
  padding: 0.75rem 1.25rem;
  border-radius: 6px;
  background: #1b2e4b;
}
.form-control[type="range"] {
  padding: 0;
}
.form-control:focus {
  box-shadow: none;
  border-color: #3b3f5c;
  color: #25d5e4;
  background-color: #1b2e4b;
}
.form-control::-webkit-input-placeholder,
.form-control::-ms-input-placeholder,
.form-control::-moz-placeholder {
  color: #e3e4eb;
  font-size: 15px;
}
.form-control:focus::-webkit-input-placeholder,
.form-control:focus::-ms-input-placeholder,
.form-control:focus::-moz-placeholder {
  color: #d3d3d3;
  font-size: 15px;
}
.form-control.form-control-lg {
  font-size: 19px;
  padding: 11px 20px;
}
.form-control.form-control-sm {
  padding: 7px 16px;
  font-size: 13px;
}

@supports (-webkit-overflow-scrolling: touch) {
  /* CSS specific to iOS devices */
  .form-control {
    color: #0e1726;
  }
}

/*      Custom Select       */
.custom-control-label::before {
  background: #1b2e4b;
  border-color: #1b2e4b;
}

/*      Custom Select       */
.custom-select {
  height: auto;
  font-size: 15px;
  padding: 8px 10px;
  letter-spacing: 1px;
  border: 1px solid #1b2e4b;
  color: #fff;
  background: #1b2e4b;
  background: #1b2e4b
    url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='4' height='5' viewBox='0 0 4 5'%3e%3cpath fill='%23ffffff' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e")
    no-repeat right 0.75rem center/8px 10px;
}
.custom-select.custom-select-lg {
  font-size: 18px;
  padding: 16px 20px;
}
.custom-select.custom-select-sm {
  font-size: 13px;
  padding: 7px 16px;
}
.custom-select:focus {
  box-shadow: none;
  border-color: #3b3f5c;
  color: #fff;
  background-color: #1b2e4b;
}

/*      Form Control File       */
.form-control-file {
  width: 100%;
  color: #805dca;
}
.form-control-file::-webkit-file-upload-button {
  letter-spacing: 1px;
  padding: 9px 20px;
  text-shadow: none;
  font-size: 12px;
  color: #fff;
  font-weight: normal;
  white-space: normal;
  word-wrap: break-word;
  transition: 0.2s ease-out;
  touch-action: manipulation;
  cursor: pointer;
  background-color: #805dca;
  box-shadow: 0px 0px 15px 1px rgba(113, 106, 202, 0.2);
  will-change: opacity, transform;
  transition: all 0.3s ease-out;
  -webkit-transition: all 0.3s ease-out;
  border-radius: 4px;
  border: transparent;
  outline: none;
}
.form-control-file::-ms-file-upload-button {
  letter-spacing: 1px;
  padding: 9px 20px;
  text-shadow: none;
  font-size: 14px;
  color: #fff;
  font-weight: normal;
  white-space: normal;
  word-wrap: break-word;
  transition: 0.2s ease-out;
  touch-action: manipulation;
  cursor: pointer;
  background-color: #805dca;
  box-shadow: 0px 0px 15px 1px rgba(113, 106, 202, 0.2);
  will-change: opacity, transform;
  transition: all 0.3s ease-out;
  -webkit-transition: all 0.3s ease-out;
  border-radius: 4px;
  border: transparent;
  outline: none;
}
.form-control-file.form-control-file-rounded::-webkit-file-upload-button {
  -webkit-border-radius: 1.875rem !important;
  -moz-border-radius: 1.875rem !important;
  -ms-border-radius: 1.875rem !important;
  -o-border-radius: 1.875rem !important;
  border-radius: 1.875rem !important;
}

select.form-control.form-custom {
  display: inline-block;
  width: 100%;
  height: calc(2.25rem + 2px);
  vertical-align: middle;
  background: #fff url(../img/arrow-down.png) no-repeat right 0.75rem center;
  background-size: 13px 14px;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

/*      Form Control Custom File       */
.custom-file {
  height: auto;
}
.custom-file input {
  height: auto;
}

.custom-file-label {
  height: auto;
  border: 1px solid #1b2e4b;
  color: #009688;
  font-size: 15px;
  padding: 8px 10px;
  letter-spacing: 1px;
  background-color: #1b2e4b;
}
.custom-file-label::after {
  height: auto;
  padding: 8px 12px;
  color: #bfc9d4;
  background-color: #191e3a;
}

/*      Input Group      */
.input-group button:hover,
.input-group .btn:hover,
.input-group button:focus,
.input-group .btn:focus {
  transform: none;
}

.input-group .dropdown-menu {
  border: none;
  z-index: 1028;
  box-shadow: none;
  padding: 10px;
  padding: 0.35rem 0;
  top: 0 !important;
  right: auto;
  border-radius: 8px;
  background-color: #1b2e4b;
  box-shadow: 0 6px 10px 0 rgba(0, 0, 0, 0.14), 0 1px 18px 0 rgba(0, 0, 0, 0.12),
    0 3px 5px -1px rgba(0, 0, 0, 0.2);
}
.input-group .dropdown-menu a.dropdown-item {
  border-radius: 5px;
  width: 100%;
  padding: 6px 17px;
  clear: both;
  font-weight: 500;
  color: #bfc9d4;
  text-align: inherit;
  white-space: nowrap;
  background-color: transparent;
  border: 0;
  font-size: 13px;
}
.input-group .dropdown-menu a.dropdown-item:hover {
  color: #2196f3;
}
.input-group .dropdown-menu .dropdown-item:hover {
  color: #2196f3;
}

.input-group .dropdown-divider {
  height: 0;
  margin: 0.5rem 0;
  overflow: hidden;
  border-top: 1px solid #0e1726;
}

.input-group .input-group-prepend .input-group-text {
  border: 1px solid #1b2e4b;
  background-color: #191e3a;
  color: #888ea8;
}
.input-group .input-group-prepend .input-group-text svg {
  color: #888ea8;
}

.input-group:hover .input-group-prepend .input-group-text svg {
  color: #4361ee;
  fill: rgba(27, 85, 226, 0.239216);
}

.input-group .input-group-append .input-group-text {
  border: 1px solid #1b2e4b;
  background-color: #191e3a;
  color: #888ea8;
}
.input-group .input-group-append .input-group-text svg {
  color: #888ea8;
}

.input-group:hover .input-group-append .input-group-text svg {
  color: #4361ee;
  fill: rgba(27, 85, 226, 0.239216);
}

/*      Input Group append       */
/*      Input Group Append       */
/*      Validation Customization      */
.invalid-feedback {
  color: #e7515a;
  font-size: 13px;
  letter-spacing: 1px;
}

.valid-feedback {
  color: #009688;
  font-size: 13px;
  letter-spacing: 1px;
}

.valid-tooltip {
  background-color: #009688;
}

.invalid-tooltip {
  background-color: #e7515a;
}

.custom-select.is-valid,
.form-control.is-valid {
  border-color: #009688;
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='%23009688' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='feather feather-check'%3e%3cpolyline points='20 6 9 17 4 12'%3e%3c/polyline%3e%3c/svg%3e");
}

.was-validated .custom-select:valid,
.was-validated .form-control:valid {
  border-color: #009688;
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='%23009688' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='feather feather-check'%3e%3cpolyline points='20 6 9 17 4 12'%3e%3c/polyline%3e%3c/svg%3e");
}

.custom-control-input.is-valid ~ .custom-control-label,
.was-validated .custom-control-input:valid ~ .custom-control-label {
  color: #009688;
}

.form-control.is-invalid,
.was-validated .form-control:invalid {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='%23e7515a' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='feather feather-x'%3e%3cline x1='18' y1='6' x2='6' y2='18'%3e%3c/line%3e%3cline x1='6' y1='6' x2='18' y2='18'%3e%3c/line%3e%3c/svg%3e");
}

.custom-control-input.is-invalid ~ .custom-control-label,
.was-validated .custom-control-input:invalid ~ .custom-control-label {
  color: #e7515a;
}

.dropdown-toggle:after,
.dropup .dropdown-toggle::after,
.dropright .dropdown-toggle::after,
.dropleft .dropdown-toggle::before {
  display: none;
}

.dropdown-toggle svg.feather[class*="feather-chevron-"] {
  width: 15px;
  height: 15px;
  vertical-align: middle;
}

.btn {
  padding: 0.4375rem 1.25rem;
  text-shadow: none;
  font-size: 14px;
  color: #3b3f5c;
  font-weight: normal;
  white-space: normal;
  word-wrap: break-word;
  transition: 0.2s ease-out;
  touch-action: manipulation;
  cursor: pointer;
  background-color: #f1f2f3;
  box-shadow: 0px 5px 20px 0 rgba(0, 0, 0, 0.1);
  will-change: opacity, transform;
  transition: all 0.3s ease-out;
  -webkit-transition: all 0.3s ease-out;
}
.btn svg {
  width: 20px;
  height: 20px;
  vertical-align: bottom;
}
.btn.rounded-circle {
  height: 40px;
  width: 40px;
  padding: 8px 8px;
}
.btn:hover,
.btn:focus {
  color: #3b3f5c;
  background-color: #f1f2f3;
  border-color: #d3d3d3;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  -webkit-transform: translateY(-3px);
  transform: translateY(-3px);
}

.btn-group .btn:hover,
.btn-group .btn:focus {
  -webkit-transform: none;
  transform: none;
}

.btn.disabled,
.btn.btn[disabled] {
  background-color: #f1f2f3;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  border: 1px solid rgba(0, 0, 0, 0.13);
}

.btn.disabled:hover,
.btn.btn[disabled]:hover {
  cursor: not-allowed;
}

.btn .caret {
  border-top-color: #0e1726;
  margin-top: 0;
  margin-left: 3px;
  vertical-align: middle;
}

.btn + .caret,
.btn + .dropdown-toggle .caret {
  margin-left: 0;
}

.btn-group > .btn,
.btn-group .btn {
  padding: 8px 14px;
}

.btn-group-lg > .btn,
.btn-group-lg .btn {
  font-size: 1.125rem;
}

.btn-group-lg > .btn {
  padding: 0.625rem 1.5rem;
  font-size: 16px;
}

.btn-lg {
  padding: 0.625rem 1.5rem;
  font-size: 16px;
}

.btn-group > .btn.btn-lg,
.btn-group .btn.btn-lg {
  padding: 0.625rem 1.5rem;
  font-size: 16px;
}

.btn-group-lg > .btn,
.btn-group-lg .btn {
  font-size: 1.125rem;
}

.btn-group-sm > .btn,
.btn-sm {
  font-size: 0.6875rem;
}

.btn-group > .btn.btn-sm,
.btn-group .btn.btn-sm {
  font-size: 0.6875rem;
}

.btn-group .dropdown-menu {
  border: none;
  z-index: 1028;
  box-shadow: none;
  padding: 10px;
  padding: 0.35rem 0;
  top: 0 !important;
  right: auto;
  border-radius: 8px;
  background-color: #1b2e4b;
}
.btn-group .dropdown-menu a.dropdown-item {
  border-radius: 5px;
  width: 100%;
  padding: 6px 17px;
  clear: both;
  font-weight: 500;
  color: #bfc9d4;
  text-align: inherit;
  white-space: nowrap;
  background-color: transparent;
  border: 0;
  font-size: 13px;
}

.dropdown-divider {
  border-top: 1px solid #0e1726;
}

.btn-group .dropdown-menu a.dropdown-item:hover {
  color: #2196f3;
}

.btn-group .dropdown-menu a.dropdown-item svg {
  cursor: pointer;
  color: #888ea8;
  margin-right: 6px;
  vertical-align: middle;
  width: 20px;
  height: 20px;
  fill: rgba(0, 23, 55, 0.08);
}

.btn-group .dropdown-menu a.dropdown-item:hover svg {
  color: #4361ee;
}

.dropdown:not(.custom-dropdown-icon):not(.custom-dropdown) .dropdown-menu {
  border: none;
  z-index: 899;
  box-shadow: none;
  padding: 10px;
  padding: 0.35rem 0;
  transition: top 0.3s ease-in-out 0s, opacity 0.3s ease-in-out 0s,
    visibility 0.3s ease-in-out 0s;
  opacity: 0;
  visibility: hidden;
  display: block !important;
  transform: none !important;
  top: 0 !important;
  right: 0;
  left: auto !important;
  border-radius: 8px;
  background: #1b2e4b;
  box-shadow: 0 6px 10px 0 rgba(0, 0, 0, 0.14), 0 1px 18px 0 rgba(0, 0, 0, 0.12),
    0 3px 5px -1px rgba(0, 0, 0, 0.2);
}
.dropdown:not(.custom-dropdown-icon):not(.custom-dropdown)
  .dropdown-menu.right {
  right: auto;
  left: auto !important;
}
.dropdown:not(.custom-dropdown-icon):not(.custom-dropdown) .dropdown-menu.left {
  right: 0;
  left: auto !important;
}
.dropdown:not(.custom-dropdown-icon):not(.custom-dropdown) .dropdown-menu.show {
  opacity: 1;
  visibility: visible;
  top: 21px !important;
}
.dropdown:not(.custom-dropdown-icon):not(.custom-dropdown)
  .dropdown-menu
  a.dropdown-item {
  border-radius: 5px;
  display: block;
  width: 100%;
  padding: 6px 17px;
  clear: both;
  font-weight: 500;
  color: #bfc9d4;
  text-align: inherit;
  white-space: nowrap;
  background-color: transparent;
  border: 0;
  font-size: 13px;
}
.dropdown:not(.custom-dropdown-icon):not(.custom-dropdown)
  .dropdown-menu
  a.dropdown-item
  svg {
  width: 18px;
  height: 18px;
  margin-right: 4px;
  vertical-align: bottom;
  color: #888ea8;
}
.dropdown:not(.custom-dropdown-icon):not(.custom-dropdown)
  .dropdown-menu
  a.dropdown-item:hover
  svg {
  color: #2196f3;
}
.dropdown:not(.custom-dropdown-icon):not(.custom-dropdown)
  .dropdown-menu
  a.dropdown-item.active,
.dropdown:not(.custom-dropdown-icon):not(.custom-dropdown)
  .dropdown-menu
  a.dropdown-item:active {
  background-color: transparent;
  color: #25d5e4;
  font-weight: 700;
}
.dropdown:not(.custom-dropdown-icon):not(.custom-dropdown)
  .dropdown-menu
  a.dropdown-item:hover {
  color: #2196f3;
}

.btn-primary:not(:disabled):not(.disabled).active:focus,
.btn-primary:not(:disabled):not(.disabled):active:focus {
  box-shadow: none;
}

.show > .btn-primary.dropdown-toggle:focus {
  box-shadow: none;
}

.btn-secondary:not(:disabled):not(.disabled).active:focus,
.btn-secondary:not(:disabled):not(.disabled):active:focus {
  box-shadow: none;
}

.show > .btn-secondary.dropdown-toggle:focus {
  box-shadow: none;
}

.btn-success:not(:disabled):not(.disabled).active:focus,
.btn-success:not(:disabled):not(.disabled):active:focus {
  box-shadow: none;
}

.show > .btn-success.dropdown-toggle:focus {
  box-shadow: none;
}

.btn-info:not(:disabled):not(.disabled).active:focus,
.btn-info:not(:disabled):not(.disabled):active:focus {
  box-shadow: none;
}

.show > .btn-info.dropdown-toggle:focus {
  box-shadow: none;
}

.btn-danger:not(:disabled):not(.disabled).active:focus,
.btn-danger:not(:disabled):not(.disabled):active:focus {
  box-shadow: none;
}

.show > .btn-danger.dropdown-toggle:focus {
  box-shadow: none;
}

.btn-warning:not(:disabled):not(.disabled).active:focus,
.btn-warning:not(:disabled):not(.disabled):active:focus {
  box-shadow: none;
}

.show > .btn-warning.dropdown-toggle:focus {
  box-shadow: none;
}

.btn-secondary:not(:disabled):not(.disabled).active:focus,
.btn-secondary:not(:disabled):not(.disabled):active:focus {
  box-shadow: none;
}

.show > .btn-secondary.dropdown-toggle:focus {
  box-shadow: none;
}

.btn-dark:not(:disabled):not(.disabled).active:focus,
.btn-dark:not(:disabled):not(.disabled):active:focus {
  box-shadow: none;
}

.show > .btn-dark.dropdown-toggle:focus {
  box-shadow: none;
}

.btn-outline-primary:not(:disabled):not(.disabled).active:focus,
.btn-outline-primary:not(:disabled):not(.disabled):active:focus {
  box-shadow: none;
}

.show > .btn-outline-primary.dropdown-toggle:focus {
  box-shadow: none;
}

.btn-outline-success:not(:disabled):not(.disabled).active:focus,
.btn-outline-success:not(:disabled):not(.disabled):active:focus {
  box-shadow: none;
}

.show > .btn-outline-success.dropdown-toggle:focus {
  box-shadow: none;
}

.btn-outline-info:not(:disabled):not(.disabled).active:focus,
.btn-outline-info:not(:disabled):not(.disabled):active:focus {
  box-shadow: none;
}

.show > .btn-outline-info.dropdown-toggle:focus {
  box-shadow: none;
}

.btn-outline-danger:not(:disabled):not(.disabled).active:focus,
.btn-outline-danger:not(:disabled):not(.disabled):active:focus {
  box-shadow: none;
}

.show > .btn-outline-danger.dropdown-toggle:focus {
  box-shadow: none;
}

.btn-outline-warning:not(:disabled):not(.disabled).active:focus,
.btn-outline-warning:not(:disabled):not(.disabled):active:focus {
  box-shadow: none;
}

.show > .btn-outline-warning.dropdown-toggle:focus {
  box-shadow: none;
}

.btn-outline-secondary:not(:disabled):not(.disabled).active:focus,
.btn-outline-secondary:not(:disabled):not(.disabled):active:focus {
  box-shadow: none;
}

.show > .btn-outline-secondary.dropdown-toggle:focus {
  box-shadow: none;
}

.btn-outline-dark:not(:disabled):not(.disabled).active:focus,
.btn-outline-dark:not(:disabled):not(.disabled):active:focus {
  box-shadow: none;
}

.show > .btn-outline-dark.dropdown-toggle:focus {
  box-shadow: none;
}

.btn.focus,
.btn:focus {
  box-shadow: none;
}

.btn-success:focus,
.btn-info:focus,
.btn-danger:focus,
.btn-warning:focus,
.btn-secondary:focus,
.btn-dark:focus,
.btn-outline-success:focus,
.btn-outline-info:focus,
.btn-outline-danger:focus,
.btn-outline-warning:focus,
.btn-outline-secondary:focus,
.btn-outline-dark:focus .btn-light-default:focus,
.btn-light-primary:focus,
.btn-light-success:focus,
.btn-light-info:focus,
.btn-light-danger:focus,
.btn-light-warning:focus,
.btn-light-secondary:focus,
.btn-light-dark:focus {
  box-shadow: none;
}

/*      Default Buttons       */
.btn-primary {
  color: #fff !important;
  background-color: #4361ee !important;
  border-color: #4361ee;
  box-shadow: 0 10px 20px -10px rgba(27, 85, 226, 0.59);
}
.btn-primary:hover,
.btn-primary:focus {
  color: #fff !important;
  background-color: #4361ee;
  box-shadow: none;
  border-color: #4361ee;
}
.btn-primary:active,
.btn-primary.active {
  background-color: #4361ee;
  border-top: 1px solid #4361ee;
}
.btn-primary.disabled,
.btn-primary.btn[disabled],
.btn-primary:disabled {
  background-color: #4361ee;
  border-color: #4361ee;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}
.btn-primary.active.focus,
.btn-primary.active:focus,
.btn-primary.active:hover {
  color: #fff !important;
  background-color: #2aebcb;
  border-color: #2aebcb;
}
.btn-primary.focus:active {
  color: #fff !important;
  background-color: #2aebcb;
  border-color: #2aebcb;
}
.btn-primary:active:focus,
.btn-primary:active:hover {
  color: #fff !important;
  background-color: #2aebcb;
  border-color: #2aebcb;
}

.open > .dropdown-toggle.btn-primary.focus,
.open > .dropdown-toggle.btn-primary:focus,
.open > .dropdown-toggle.btn-primary:hover {
  color: #fff !important;
  background-color: #2aebcb;
  border-color: #2aebcb;
}

.btn-primary:not(:disabled):not(.disabled).active,
.btn-primary:not(:disabled):not(.disabled):active {
  color: #fff !important;
  background-color: #4361ee;
  border-color: #4361ee;
}

.show > .btn-primary.dropdown-toggle {
  color: #fff !important;
  background-color: #4361ee;
  border-color: #4361ee;
}

.btn-primary .caret {
  border-top-color: #fff;
}

.btn-group.open .btn-primary.dropdown-toggle {
  background-color: #eaf1ff;
}

.btn-secondary {
  color: #fff !important;
  background-color: #805dca;
  border-color: #805dca;
  box-shadow: 0 10px 20px -10px rgba(92, 26, 195, 0.59);
}
.btn-secondary:hover,
.btn-secondary:focus {
  color: #fff !important;
  background-color: #805dca;
  box-shadow: none;
  border-color: #805dca;
}
.btn-secondary:active,
.btn-secondary.active {
  background-color: #805dca;
  border-top: 1px solid #805dca;
}
.btn-secondary:not(:disabled):not(.disabled).active,
.btn-secondary:not(:disabled):not(.disabled):active {
  color: #fff !important;
  background-color: #805dca;
  border-color: #805dca;
}

.show > .btn-secondary.dropdown-toggle {
  color: #fff !important;
  background-color: #805dca;
  border-color: #805dca;
}

.btn-secondary.disabled,
.btn-secondary.btn[disabled],
.btn-secondary:disabled {
  background-color: #805dca;
  border-color: #805dca;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}

.btn-secondary .caret {
  border-top-color: #fff;
}

.btn-info {
  color: #fff !important;
  background-color: #2196f3;
  border-color: #2196f3;
  box-shadow: 0 10px 20px -10px rgba(33, 150, 243, 0.59);
}
.btn-info:hover,
.btn-info:focus {
  color: #fff !important;
  background-color: #2196f3;
  box-shadow: none;
  border-color: #2196f3;
}
.btn-info:active,
.btn-info.active {
  background-color: #2196f3;
  border-top: 1px solid #2196f3;
}
.btn-info:not(:disabled):not(.disabled).active,
.btn-info:not(:disabled):not(.disabled):active {
  color: #fff !important;
  background-color: #2196f3;
  border-color: #2196f3;
}

.show > .btn-info.dropdown-toggle {
  color: #fff !important;
  background-color: #2196f3;
  border-color: #2196f3;
}

.btn-info.disabled,
.btn-info.btn[disabled],
.btn-info:disabled {
  background-color: #2196f3;
  border-color: #2196f3;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}

.btn-info.active.focus,
.btn-info.active:focus,
.btn-info.active:hover {
  color: #fff !important;
  background-color: #2196f3;
  border-color: #2196f3;
}

.btn-info.focus:active {
  color: #fff !important;
  background-color: #2196f3;
  border-color: #2196f3;
}

.btn-info:active:focus,
.btn-info:active:hover {
  color: #fff !important;
  background-color: #2196f3;
  border-color: #2196f3;
}

.open > .dropdown-toggle.btn-info.focus,
.open > .dropdown-toggle.btn-info:focus,
.open > .dropdown-toggle.btn-info:hover {
  color: #fff !important;
  background-color: #2196f3;
  border-color: #2196f3;
}

.btn-info .caret {
  border-top-color: #fff;
}

.btn-group.open .btn-info.dropdown-toggle {
  background-color: #e7f7ff;
}

.btn-warning {
  color: #fff !important;
  background-color: #e2a03f;
  border-color: #e2a03f;
  box-shadow: 0 10px 20px -10px rgba(226, 160, 63, 0.59);
}
.btn-warning:hover,
.btn-warning:focus {
  color: #fff !important;
  background-color: #e2a03f;
  box-shadow: none;
  border-color: #e2a03f;
}
.btn-warning:active,
.btn-warning.active {
  background-color: #e2a03f;
  border-top: 1px solid #e2a03f;
}
.btn-warning:not(:disabled):not(.disabled).active,
.btn-warning:not(:disabled):not(.disabled):active {
  color: #0e1726;
  background-color: #e2a03f;
  border-color: #e2a03f;
}

.show > .btn-warning.dropdown-toggle {
  color: #0e1726;
  background-color: #e2a03f;
  border-color: #e2a03f;
}

.btn-warning.disabled,
.btn-warning.btn[disabled],
.btn-warning:disabled {
  background-color: #e2a03f;
  border-color: #e2a03f;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}

.btn-warning.active.focus,
.btn-warning.active:focus,
.btn-warning.active:hover {
  color: #fff !important;
  background-color: #e2a03f;
  border-color: #e2a03f;
}

.btn-warning.focus:active {
  color: #fff !important;
  background-color: #e2a03f;
  border-color: #e2a03f;
}

.btn-warning:active:focus,
.btn-warning:active:hover {
  color: #fff !important;
  background-color: #e2a03f;
  border-color: #e2a03f;
}

.open > .dropdown-toggle.btn-warning.focus,
.open > .dropdown-toggle.btn-warning:focus,
.open > .dropdown-toggle.btn-warning:hover {
  color: #fff !important;
  background-color: #e2a03f;
  border-color: #e2a03f;
}

.btn-warning .caret {
  border-top-color: #fff;
}

.btn-group.open .btn-warning.dropdown-toggle {
  background-color: #df8505;
}

.btn-danger {
  color: #fff !important;
  background-color: #e7515a;
  border-color: #e7515a;
  box-shadow: 0 10px 20px -10px rgba(231, 81, 90, 0.59);
}
.btn-danger:hover,
.btn-danger:focus {
  color: #fff !important;
  background-color: #e7515a;
  box-shadow: none;
  border-color: #e7515a;
}
.btn-danger:active,
.btn-danger.active {
  background-color: #e7515a;
  border-top: 1px solid #e7515a;
}
.btn-danger:not(:disabled):not(.disabled).active,
.btn-danger:not(:disabled):not(.disabled):active {
  color: #fff !important;
  background-color: #e7515a;
  border-color: #e7515a;
}

.show > .btn-danger.dropdown-toggle {
  color: #fff !important;
  background-color: #e7515a;
  border-color: #e7515a;
}

.btn-danger.disabled,
.btn-danger.btn[disabled],
.btn-danger:disabled {
  background-color: #e7515a;
  border-color: #e7515a;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}

.btn-danger.active.focus,
.btn-danger.active:focus,
.btn-danger.active:hover {
  color: #fff !important;
  background-color: #c00;
  border-color: #c00;
}

.btn-danger.focus:active {
  color: #fff !important;
  background-color: #c00;
  border-color: #c00;
}

.btn-danger:active:focus,
.btn-danger:active:hover {
  color: #fff !important;
  background-color: #c00;
  border-color: #c00;
}

.open > .dropdown-toggle.btn-danger.focus,
.open > .dropdown-toggle.btn-danger:focus,
.open > .dropdown-toggle.btn-danger:hover {
  color: #fff !important;
  background-color: #c00;
  border-color: #c00;
}

.btn-danger .caret {
  border-top-color: #fff;
}

.btn-group.open .btn-danger.dropdown-toggle {
  background-color: #a9302a;
}

.btn-dark {
  color: #fff !important;
  background-color: #3b3f5c;
  border-color: #3b3f5c;
  box-shadow: 0 10px 20px -10px rgba(59, 63, 92, 0.59);
}
.btn-dark:hover,
.btn-dark:focus {
  color: #fff !important;
  background-color: #3b3f5c;
  box-shadow: none;
  border-color: #3b3f5c;
}
.btn-dark:active,
.btn-dark.active {
  background-color: #3b3f5c;
  border-top: 1px solid #3b3f5c;
}
.btn-dark:not(:disabled):not(.disabled).active,
.btn-dark:not(:disabled):not(.disabled):active {
  color: #fff !important;
  background-color: #3b3f5c;
  border-color: #3b3f5c;
}

.show > .btn-dark.dropdown-toggle {
  color: #fff !important;
  background-color: #3b3f5c;
  border-color: #3b3f5c;
}

.btn-dark.disabled,
.btn-dark.btn[disabled],
.btn-dark:disabled {
  background-color: #3b3f5c;
  border-color: #3b3f5c;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}

.btn-dark .caret {
  border-top-color: #fff;
}

.btn-group.open .btn-dark.dropdown-toggle {
  background-color: #484848;
}

.btn-success {
  color: #fff !important;
  background-color: #00a03e;
  border-color: #00a03e;
  box-shadow: 0 10px 20px -10px rgba(141, 191, 66, 0.59);
}
.btn-success:hover,
.btn-success:focus {
  color: #fff !important;
  background-color: #00a03e;
  box-shadow: none;
  border-color: #00a03e;
}
.btn-success:active,
.btn-success.active {
  background-color: #00a03e;
  border-top: 1px solid #00a03e;
}
.btn-success:not(:disabled):not(.disabled).active,
.btn-success:not(:disabled):not(.disabled):active {
  color: #fff !important;
  background-color: #00a03e;
  border-color: #00a03e;
}

.show > .btn-success.dropdown-toggle {
  color: #fff !important;
  background-color: #00a03e;
  border-color: #00a03e;
}

.btn-success.disabled,
.btn-success.btn[disabled],
.btn-success:disabled {
  background-color: #00a03e;
  border-color: #00a03e;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}

.btn-success.active.focus,
.btn-success.active:focus,
.btn-success.active:hover {
  color: #fff !important;
  background-color: #17c678;
  border-color: #17c678;
}

.btn-success.focus:active {
  color: #fff !important;
  background-color: #17c678;
  border-color: #17c678;
}

.btn-success:active:focus,
.btn-success:active:hover {
  color: #fff !important;
  background-color: #17c678;
  border-color: #17c678;
}

.open > .dropdown-toggle.btn-success.focus,
.open > .dropdown-toggle.btn-success:focus,
.open > .dropdown-toggle.btn-success:hover {
  color: #fff !important;
  background-color: #17c678;
  border-color: #17c678;
}

.btn-success .caret {
  border-top-color: #fff;
}

/*-----/Button Light Colors------*/
.btn.box-shadow-none {
  border: none;
}
.btn.box-shadow-none:hover,
.btn.box-shadow-none:focus {
  border: none;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  background-color: transparent;
}

.box-shadow-none {
  -webkit-box-shadow: none !important;
  -moz-box-shadow: none !important;
  box-shadow: none !important;
}

.btn.box-shadow-none:not(:disabled):not(.disabled).active,
.btn.box-shadow-none:not(:disabled):not(.disabled):active {
  border: none;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  background-color: transparent;
}

.show > .btn.box-shadow-none.dropdown-toggle {
  border: none;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  background-color: transparent;
}

.btn-group.open .btn-success.dropdown-toggle {
  background-color: #499249;
}

.btn-dismiss {
  color: #0e1726;
  background-color: #fff !important;
  border-color: #fff;
  padding: 3px 7px;
}
.btn-dismiss:hover,
.btn-dismiss:focus {
  color: #0e1726;
  background-color: #fff;
}
.btn-dismiss:active,
.btn-dismiss.active {
  background-color: #fff;
  border-top: 1px solid #fff;
}

.btn-group > .btn i {
  margin-right: 3px;
}

.display-none {
  display: none;
}

.br-0 {
  border-radius: 0 !important;
}

.br-4 {
  border-radius: 4px !important;
}

.br-6 {
  border-radius: 6px !important;
}

.br-30 {
  border-radius: 30px !important;
}

.br-50 {
  border-radius: 50px !important;
}

.br-left-30 {
  border-top-left-radius: 30px !important;
  border-bottom-left-radius: 30px !important;
}

.br-right-30 {
  border-top-right-radius: 30px !important;
  border-bottom-right-radius: 30px !important;
}

.bx-top-6 {
  border-top-right-radius: 6px !important;
  border-top-left-radius: 6px !important;
}

.bx-bottom-6 {
  border-bottom-right-radius: 6px !important;
  border-bottom-left-radius: 6px !important;
}

.outline-badge-success {
  color: #1abc9c;
  background-color: transparent;
  border: 1px solid #1abc9c;
}

.outline-badge-danger {
  color: #e7515a;
  background-color: transparent;
  border: 1px solid #e7515a;
}

.outline-badge-success:focus,
.outline-badge-success:hover {
  color: #1b2e4b;
  background-color: #1abc9c;
}

.outline-badge-danger:focus,
.outline-badge-danger:hover {
  color: #1b2e4b;
  background-color: #e7515a;
}